User History
curl --request GET \
--url https://api.rhino.fi/bridge/history-cursor/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rhino.fi/bridge/history-cursor/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rhino.fi/bridge/history-cursor/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"_id": "<string>",
"userId": "<string>",
"chainIn": "<string>",
"chainOut": "<string>",
"amountIn": "<string>",
"amountInUsd": 123,
"amountOut": "<string>",
"amountOutUsd": 123,
"amountNative": "<string>",
"amountNativeUsd": 123,
"fee": "<string>",
"feeUsd": 123,
"gasFee": "<string>",
"gasFeeUsd": 123,
"platformFee": "<string>",
"platformFeeUsd": 123,
"percentageFee": "<string>",
"percentageFeeUsd": 123,
"sourceGasFee": "<string>",
"sourceGasFeeUsd": 123,
"sponsoredFees": {
"fee": "<string>",
"feeUsd": 123,
"gasFee": "<string>",
"gasFeeUsd": 123,
"platformFee": "<string>",
"platformFeeUsd": 123,
"percentageFee": "<string>",
"percentageFeeUsd": 123,
"sourceGasFee": "<string>",
"sourceGasFeeUsd": 123
},
"recipient": "<string>",
"depositor": "<string>",
"createdAt": "<string>",
"commitmentDate": "<string>",
"token": "<string>",
"usdPrice": 123,
"state": "PENDING",
"estimatedDuration": 1,
"postBridgeData": {
"_tag": "extended",
"vaultId": 1
},
"_tag": "bridge"
}
],
"nextPageToken": "<string>"
}{
"issues": [
{
"path": [
"<string>"
],
"message": "<string>"
}
],
"message": "<string>",
"_tag": "HttpApiDecodeError"
}{
"message": "<string>",
"_tag": "Unauthorized"
}{
"message": "<string>",
"_tag": "InvalidRequest"
}history
User History
Fetch bridge history for a user.
GET
/
history-cursor
/
user
User History
Authorizations
bearerlegacyApiKey
JWT token for authentication
Query Parameters
Field to sort by: "createdAt" or "updatedAt".
Available options:
createdAt, updatedAt Sort direction: "asc" for ascending, "desc" for descending.
Available options:
asc, desc Optional filter by bridge state: "PENDING", "ACCEPTED", or "EXECUTED".
Available options:
PENDING, ACCEPTED, EXECUTED a non empty string
Minimum string length:
1a string to be decoded into a number
Response
Success
Bridge transaction details.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
- Option 19
- Option 20
- Option 21
- Option 22
- Option 23
Show child attributes
Show child attributes
a non empty string
Minimum string length:
1⌘I